<header class="header">

  {% assign top = linklists.top-menu %}

  {% if section.settings.top_msg != blank or top.links.size > 0 %}
  <div class="d-flex bg-dark top-bar justify-content-end">
  
    {% if section.settings.top_msg != blank %}
    <div class="{% if top.links.size > 0 %}col-md-5{% else %} col text-center {% endif %} pt-1">
      <p class="m-0 text-uppercase">{{ section.settings.top_msg }}</p>
    </div>
    {% endif %}
    
    {% if top.links.size > 0 %}
    <div class="col-md-7 d-flex justify-content-end">
      <ul class="list-unstyled list-inline m-0 d-flex top-menu">
        {% for link in top.links %}
          <li class="list-inline-item"><a class="px-1" href="{{ link.url }}">{{ link.title }}</a></li>
        {% endfor %}
      </ul>
    </div>
    {% endif %}
    
  </div>
  {% endif %}

  <nav class="navbar navbar-expand-lg p-0">
    
    <a href="/" itemprop="url" class="{% if section.settings.logo != blank %}logo m-0 d-block{% endif %} d-flex">
      {% if section.settings.logo != blank %}
        {% capture image_size %}{{ section.settings.logo_max_width }}x{% endcapture %}
        <img class="img-fluid my-auto mx-auto" src="{{ section.settings.logo | img_url: '137x26' }}"
            srcset="{{ section.settings.logo | img_url: '137x26' }} 1x, {{ section.settings.logo | img_url: '274x52', scale: 2 }} 2x"
            alt="{{ section.settings.logo.alt | default: shop.name }}"
            itemprop="logo">
      {% else %}
        <h1 class="my-auto mx-auto avenir-bold h3">{{ shop.name }}</h1>
      {% endif %}
    </a>
   
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarMainMenu" aria-controls="navbarMainMenu" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    
    <div class="main-menu list-unstyled collapse navbar-collapse m-0" id="navbarMainMenu">
      <ul class="list-unstyled m-0 items-wrapper w-100">
      
        {% for link in linklists[section.settings.main_linklist].links %}
          {% assign child_list_handle = link.title | handleize %}
          {% if link.links != blank %}
            <li class="border-left dropdown item-large text-center">
            <a class="avenir-bold text-uppercase d-block px-3 {% if link.active %}current{% endif %} {% if link.child_active %}current{% endif %}" href="#" id="navbarDropdownMenuLink-{{ child_list_handle }}" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">{{ 'header.menu.shop' | t }}</span></a>
              <div class="dropdown-menu meganav dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink-{{ child_list_handle }}">
                <ul class="meganav__nav list-unstyled m-0">
                  {% include 'drawer-nav' %}
                </ul>
              </div>
            </li>
          {% else %}
            <li class="border-left dropdown item-large text-center">
              <a href="{{ link.url }}" class="avenir-bold text-uppercase d-block px-3 {% if link.active %}current{% endif %}"{% if link.active %} aria-current="page"{% endif %}>
                {{ link.title }}
              </a>
            </li>
          {% endif %}
        {% endfor %}

      <li class="border-left search-top-wrapper">
        {% include 'search-form' %}
      </li>
      <li class="border-left text-center text-center item-icon"> 
        <a class="d-block" id="dropdownMenuUser" href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fa fa-question-circle"></i> </span></a>
        <ul class="dropdown-menu list-unstyled m-0 list" role="menu" aria-labelledby="dropdownMenuUser">
          <li class="dropdown-item">
            <a href="{{ 'header.menu_url.empleo' | t }}" class="drawer__nav-link">
              {{ 'header.menu.empleo' | t }}
            </a> 
          </li>
          <li class="dropdown-item">
            <a href="{{ 'header.menu_url.faq' | t }}" class="drawer__nav-link">
              {{ 'header.menu.faq' | t }}
            </a> 
          </li>
        </ul>
      </li>
      {% if shop.customer_accounts_enabled %}
        <li class="border-left text-center text-center item-icon">
          {% if customer %}
            <a class="d-block" id="dropdownMenu1" href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fa fa-user"></i> </span></a>
            <ul class="dropdown-menu list-unstyled m-0 list" role="menu" aria-labelledby="dropdownMenu">
              <li class="dropdown-item">
                <a href="/account" class="drawer__nav-link">
                  {{ 'header.menu.account' | t }}
                </a> 
              </li>
              <li class="dropdown-item">
                <a href="/account" class="drawer__nav-link">
                  {{ 'header.menu.log_out' | t }}
                </a> 
              </li>
            </ul>
          {% else %}
            <a class="d-block" href="/account/login"><i class="fa fa-user"></i></span></a>
          {% endif %}
        </li>
      {% endif %}
      
      <li class="border-left text-center text-center item-icon">
        <a class="d-block {% if cart.item_count == 0 %} {% else %}current{% endif %}" href="/cart">
          <i class="fa fa-shopping-cart"></i>
          <span class="avenir-bold">{% if cart.item_count == 0 %} {% else %} {{ cart.item_count }} {% endif %}</span>
        </a>
      </li>
      </ul>
    </div>
    
  </nav>
</header>
    
 
{% schema %}
  {
    "name": "Header",
    "class": "fixed-top",
    "settings": [
      {
        "type": "image_picker",
        "id": "logo",
        "label": "Logo"
      },
      {
        "type": "link_list",
        "id": "main_linklist",
        "label": "Menu",
        "default": "main-menu"
      },
      {
        "type": "text",
        "id": "top_msg",
        "label": "Mensaje top"
      }
    ]
  }
{% endschema %}
